.menu-bar{height:32px;width:36px;position:absolute;cursor:pointer;top:50%;right:10px;margin-top:-16px}
.menu-bar:hover{-webkit-box-shadow:0,0,10px,0.3;box-shadow:0,0,10px,0.3}
.menu-bar span{display:block;width:24px;height:2px;background-color:#222222;position:absolute;left:0;right:0;margin:auto;-webkit-transition:all 0.35s;transition:all 0.35s;-moz-transition:all 0.35s;-ms-transition:all 0.35s}
.menu-bar span.one{top:6px}
.menu-bar span.two{top:0;bottom:0}
.menu-bar span.three{bottom:6px}
.menu-bar.show-view span.two{opacity:0;filter:alpha(opacity=0)}
.menu-bar.show-view span.one,.menu-bar.show-view span.three{top:0;bottom:0;-webkit-transform:rotate(45deg);transform:rotate(45deg)}
.menu-bar.show-view span.three{-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}
.has-button .menu-bar-mobile{right:165px}
